- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Font Path Functions
Font Functions

Functions that edit the paths being used to load fonts. More...

#define | evas_canvas_font_path_clear() EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_PATH_CLEAR)
#define | evas_canvas_font_path_append(path) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_PATH_APPEND), EO_TYPECHECK(const char *, path)
#define | evas_canvas_font_path_prepend(path) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_PATH_PREPEND), EO_TYPECHECK(const char *, path)
#define | evas_canvas_font_path_list(ret) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_PATH_LIST), EO_TYPECHECK(const Eina_List **, ret)
void | evas_font_path_clear (Evas *e)
| Removes all font paths loaded into memory for the given evas. More...
void | evas_font_path_append (Evas *e, const char *path)
| Appends a font path to the list of font paths used by the given evas. More...
void | evas_font_path_prepend (Evas *e, const char *path)
| Prepends a font path to the list of font paths used by the given evas. More...
const Eina_List * | evas_font_path_list (const Evas *e)
| Retrieves the list of font paths used by the given evas. More...

## Detailed Description

Functions that edit the paths being used to load fonts.

## Macro Definition Documentation

#define evas_canvas_font_path_clear | ( |  | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_PATH_CLEAR)

Since
  1.8

Removes all font paths loaded into memory for the given evas.

See Also
  evas_font_path_clear

Referenced by evas_font_path_clear().

#define evas_canvas_font_path_append | ( |  | path | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_PATH_APPEND), EO_TYPECHECK(const char *, path)

Since
  1.8

Appends a font path to the list of font paths used by the given evas.

Parameters

  [in] | path |

See Also
  evas_font_path_append

Referenced by evas_font_path_append().

#define evas_canvas_font_path_prepend | ( |  | path | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_PATH_PREPEND), EO_TYPECHECK(const char *, path)

Since
  1.8

Prepends a font path to the list of font paths used by the given evas.

Parameters

  [in] | path |

See Also
  evas_font_path_prepend

Referenced by evas_font_path_prepend().

#define evas_canvas_font_path_list | ( |  | ret | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_PATH_LIST), EO_TYPECHECK(const Eina_List **, ret)

Since
  1.8

Retrieves the list of font paths used by the given evas.

Parameters

  [out] | ret |

See Also
  evas_font_path_list

Referenced by evas_font_path_list().

## Function Documentation

void evas_font_path_clear | ( | Evas * | e | ) |

Removes all font paths loaded into memory for the given evas.

Parameters

  e | The given evas.

References evas_canvas_font_path_clear.

void evas_font_path_append | ( | Evas * | e,
|  | const char * | path
| ) |  |

Appends a font path to the list of font paths used by the given evas.

Parameters

  e | The given evas.
  path | The new font path.

References evas_canvas_font_path_append.

void evas_font_path_prepend | ( | Evas * | e,
|  | const char * | path
| ) |  |

Prepends a font path to the list of font paths used by the given evas.

Parameters

  e | The given evas.
  path | The new font path.

References evas_canvas_font_path_prepend.

const Eina_List* evas_font_path_list | ( | const Evas * | e | ) |

Retrieves the list of font paths used by the given evas.

Parameters

  e | The given evas.

Returns
  The list of font paths used.

References evas_canvas_font_path_list.